---
# tasks file for java
- block:
  - name: Install Java Packageeee22234234234
    apt: pkg=openjdk-8-jre-headless state=installed update_cache=true force=yes
    register: apt_status
    until: apt_status|success
    delay: 6
    retries: 10
  when: task == "DEPLOY"
  become_user: root

- block:
  - name: Uninstall Java Package
    apt: update_cache=yes force=yes pkg=openjdk-8-jre-headless state=absent
    register: apt_status
    until: apt_status|success
    delay: 6
    retries: 10
  when: task == "UNDEPLOY"
  become_user: root
